## blender 2.53-beta-svn30596

=== debian/changelog ===
blender (2.53-beta-svn30596-1) experimental; urgency=low

  [Kevin Roy]
    * New Upstream Beta Release.
    * New Maintainer (Closes: #570053).
    * Bump Standards-Version to 3.9.1
    * Switch to dpkg-source 3.0 (quilt) format.
    * debian/patches
      - Update patches from contrib sources (see below)
      - Use gbp-pq to produce patch series
      - mini fix to make blender look for system dir in /usr/lib
    * Add get-orig-source in debian/rules
       - A rule to ease download orig.tar.gz from upstream svn
    * Modify install of blender-thumbnailer.py:
       - This script is now in /usr/lib/blender/2.53/scripts.
       - Although it may be run with python 2.5.
         For consistency with dependencies, make it run with 3.1
       - Add quoted infos from the script to enabled it.
       - As it's nautilus related, maybe worth packaging it alone.
    * Introduce doc-base for readme.html.
    * Transform some dh_auto_install commands into patches
       - 50_filter_docs : copy "allowed" files 
         (this means don't install the GPL and Python licenses).
       - 60_locale_directory : change locale destination to /usr/share/locale 
         and not /usr/lib/blender/2.53/locale.
    * Update icons with those shipped in upstream source.
    * Remove fullscreen entry in menu because it can be enabled in Blender now

  [Cosme Domínguez Díaz]
    * debian/patches
      - Remove unneeded 'build_configuration' patch
      - Modify 'install_in_usr_lib' for easier maintain of 
        blender_thumbnailer patch
    * debian/control
      - Remove quilt (Build-Depends)
    * debian/copyright
      - No longer mention extern/{ffmpeg,libmp3lame,xvidcore,x264}
        as no longer in upstream.
    * debian/rules
      - Enable cmake build options
      - Detect and use multi processor (if any)
    * debian/blender.1
      - Remove manpage from debian directory as upstream shipped
        one more updated

  [Gonéri Le Bouder]
    * debian/patches
      - FTBFS fix for KFreeBSD

 -- Kevin Roy <kiniou@gmail.com>  Sun, 22 Aug 2010 13:04:22 +0200

blender (2.50~alpha~0~svn24834-2) experimental; urgency=low

  * Add debug package blender-dbg:
     - Introduce $(INSTDIR) in debian/rules, set it to debian/tmp instead
       of previously-used debian/blender since there are now several
       binary packages.
     - Introduce debian/blender.install.
     - Override dh_strip to put debug symbols in blender-dbg.
     - Override dh_install to make sure nothing gets forgotten and
       installed nowhere.
  * Fix menus by shipping miscellaneous files from debian/misc/, thanks to
    Stefano Costa (Closes: #563799):
     - Ship menu icon (blender.xpm).
     - Ship freedesktop menus (*.desktop).
  * Bump version for debhelper in Build-Depends from 7 to 7.0.50~ since
    overrides are used.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 18 Feb 2010 02:55:48 +0100

blender (2.50~alpha~0~svn24834-1) experimental; urgency=low

  * New upstream snapshot:
     - Use the blender-2.50-release tag, svn revision 24834.
     - Upstream codename is 2.5 alpha 0.
     - “Repack” as documented in debian/copyright.
  * Drop all patches for now.
  * Great cleanup / Switch from debhelper 5 to dh 7:
     - Bump versioned Build-Depends on debhelper.
     - Bump debian/compat.
     - Get rid of the current debian/rules, start over with a tiny one,
       only using the quilt addon, and the cmake buildsystem. Given there
       are at least scons and cmake files, let's give a hint to dh.
     - Get rid of debian/{install,links}: no longer needed.
     - Get rid of lintian overrides: no longer needed.
     - Get rid of the wrapper: hopefully no longer needed.
  * Add patches:
     - 10_build_configuration: configure the build for Debian using the
       top-level CMakeLists.txt file. Currently, it enables the following
       items: ffmpeg, openjpeg, fftw3, jack, sndfile.
     - 20_install_in_usr_lib: arch-dep files have to go to /usr/lib, they
       don't belong to /usr/share. Only needed if embedded python isn't
       removed from the final binary (see below), disabled for now.
     - 30_use_systemwide_libraries: Use system-wide glew and openjpeg
       libraries, and do not use -lstdc++ for linking.
  * Update Build-Depends:
     - Replace scons with cmake in Build-Depends.
     - Add libsndfile-dev, libjack-dev, libsamplerate0-dev, libfftw3-dev,
       and libglew1.5-dev.
     - Finally wrap them!
     - Drop unneeded libdc1394-22-dev.
  * Switch python version as needed upstream, from 2.5 to 3.1:
     - Update Build-Depends on pythonX.Y-dev.
     - Update debian/pyversions.
     - Unfortunately, python (>= 3.1) gets added to Depends, which makes
       the resulting binary uninstallable even in experimental.
     - Replace ${python:Version} with hardcoded python3.1 for now.
     - Disable dh_pysupport for now, there's no support for 3.* in
       python-support yet.
  * Get rid of embedded python by overriding dh_auto_install:
     - Blender should fall back to the system python if there's no
       embedded one.
  * Remove apparently-unneeded dotfiles:
     - At the moment, that's .bfont.ttf and .Blanguages.
     - Even when the latter is here, lang selection doesn't seem to work.
     - Here, “apparently” means “does not show up in strace”.
  * Adjust README.source to mention $VCS.
  * Remove README.Debian, quite obsolete.
  * Add a NEWS file.
  * Update debian/copyright:
     - No longer mention extern/bFTGL, no longer in SVN.
     - Add extern/glew.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 24 Dec 2009 19:20:08 +0100

blender (2.49.2~dfsg-1) unstable; urgency=low

  * New upstream bugfix release:
     - This is actually 2.49b, but using a “+dfsg” suffix breaks comparing
       2.49+dfsg and 2.49b+dfsg. Use “.2” instead of “b” accordingly. And
       switch to using a “~dfsg” suffix.
  * Repack as usual, as documented in debian/copyright.

