=== debian/control ===
Source: blender
Section: graphics
Priority: optional
Maintainer: Kevin Roy <kiniou@gmail.com> 
Build-Depends: debhelper (>= 7.0.50~),
 libftgl-dev,
 gettext,
 libgettextpo-dev,
 freeglut3-dev,
 libjpeg-dev,
 libpng-dev,
 libsdl-dev,
 libz-dev,
 python3.1-dev,
 python-support,
 cmake,
 libtiff4-dev,
 libopenexr-dev,
 libavformat-dev,
 libxi-dev,
 autotools-dev,
 pkg-config,
 libswscale-dev,
 libavdevice-dev,
 libopenal-dev,
 libalut-dev,
 libvorbis-dev,
 libgsm1-dev,
 libopenjpeg-dev,
 libsndfile-dev,
 libjack-dev,
 libsamplerate0-dev,
 libfftw3-dev,
 libglew1.5-dev,
 liblzma-dev,
 liblzo2-dev,
Build-Conflicts: nvidia-glx
Standards-Version: 3.9.1
Homepage: http://blender.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/blender.git
Vcs-Git: git://git.debian.org/git/collab-maint/blender.git


Package: blender
Architecture: any
Depends: ${shlibs:Depends}, python3.1, ${misc:Depends}, ttf-dejavu
Suggests: yafray, libtiff4
Description: Very fast and versatile 3D modeller/renderer
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary and/or a web plug-in are common products of Blender use.

Package: blender-dbg
Architecture: any
Section: debug
Priority: extra
Depends: blender (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for Blender
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games).
 .
 This package contains debug symbols to produce useful backtraces.
